> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting Started

> Using the API

## Access Models

The response you get from our APIs will depend on the type of model that you have: <Tooltip tip="This model requires a full business subscription, giving you access to all data points.">Full Access</Tooltip> or <Tooltip tip="This model allows you to access our API without a business subscription, but some data points are limited.">API-Only</Tooltip>. For more details, please check our [Data-as-a-Service page. ](/api-reference/daas)

## Accessing the API

<Info>
  You need **credentials** to our website to access our APIs. Please [request access here.](/developer-access/developer-access)
</Info>

<Note>
  Check out our complete[ Initial Setup guide](/user-guides/get-started/initial-setup) for more details.
</Note>

## Authentication

All requests to the CreditRiskMonitor API must include a `SessionKey` header. To obtain one, first call the `Login` endpoint (link) using your username and password. Include the `SessionKey `in all subsequent API calls.

```
curl -d "Username=[USERNAME]&Password=[PASSWORD]" -X POST "https://api.creditriskmonitor.com/v1/Users/Login"
```

```
curl -H "Authorization: Bearer 1/1/2025 2:00:00 abcd1234ABCD1234abcd1234ABCD1234" -X GET "https://api.creditriskmonitor.com/v1/News"
```

## Content Type

The CreditRiskMonitor API accepts JSON or XML in request bodies and returns JSON or XML in response bodies. You will need to include `type=json` or `type=xml` in the request body.

```
curl -H "Authorization: Bearer 1/1/2025 2:00:00 abcd1234ABCD1234abcd1234ABCD1234" -X GET "https://api.creditriskmonitor.com/v1/News?type=json"
```

## Explore our APIs

<CardGroup cols="3">
  <Card title="Business Information" icon="briefcase" iconType="solid" color="#C72A2D" href="/api-reference/businesslookup/searches-for-a-business" />

  <Card title="Financial Data" icon="money-bill" iconType="solid" color="#C72A2D" href="/api-reference/business/gets-the-latest-annual-statements-for-a-business" />

  <Card title="Portfolio Management" icon="folder-open" iconType="solid" color="#C72A2D" href="/api-reference/portfolio/returns-the-bussinesses-in-the-current-users-portfolio" />

  <Card title="News Management" icon="newspaper" iconType="solid" color="#C72A2D" href="/api-reference/news/gets-the-top-20-news-stories-for-the-current-user" />

  <Card title="User Management" icon="user" iconType="solid" color="#C72A2D" href="/api-reference/user/logs-a-user-in" />

  <Card title="Trade Receivables" icon="file-invoice" iconType="solid" color="#C72A2D" href="/api-reference/tradeprovider/gets-the-list-of-trade-providers" />
</CardGroup>

## Error Types

* `400 - Bad Request:`There was an issue with the request format.
* `403 - Forbidden:`The user was not authorized to access the requested resource.

<Tip>
  The common cause for 403 is an expired Session Key. Use the login endpoint to generate a new one.
</Tip>

* `404 - Not Found:`The requested resource could not be found.
* `429 - Too Many Requests: `The user made too many requests in a short period.
* `500 - Internal Server Error:`The server encountered an unexpected error.

## Rate Limits

The rate limits depend on the type of account you have:

| User Type     | Requests/hour |
| ------------- | ------------- |
| Ordinary      | 10            |
| API Developer | 200           |
| API User      | No Limit      |
